config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/libsmbios/logging.conf.new

( cd usr/lib ; rm -rf libsmbios_c.so )
( cd usr/lib ; ln -sf libsmbios_c.so.2.2.1 libsmbios_c.so )
( cd usr/lib ; rm -rf libsmbios_c.so.2 )
( cd usr/lib ; ln -sf libsmbios_c.so.2.2.1 libsmbios_c.so.2 )
